.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH SETUP-DS-ADMIN.PL 8 "May 18, 2008"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
setup\-ds\-admin.pl \- Set up an instance of Directory Server and Admin Server
.SH SYNOPSIS
.B setup-ds-admin.pl
[\fI--options\fR] \fI-- \fR[\fIargs\fR]
.SH DESCRIPTION
Set up a Directory Server and Admin Server.  Creates the configuration
files for an instance of Directory Server based on a few parameters
like the hostname, port number, and directory manager information.  Creates the configuration
files for the Admin Server.  Starts up the servers.  This command does the set up
necessary for the use of the Console and the Admin Express web interface.

If the Admin Server has already been set up, this command will create a new instance
of Directory Server and register it with the Admin Server so that it can be managed with the Console.

Use this command with the \fB--update\fR option after an upgrade to refresh the server information (version, build number, etc.) in the Console.

Can be run in interactive mode with different levels of verbosity, or
in silent mode with parameters supplied in a .inf format file or
on the command line.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
.SH OPTIONS
A summary of options is included below:
.TP
.B \fB\-\-help\fR
This message
.TP
.B \fB\-\-version\fR
Print the version and exit
.TP
.B \fB\-\-debug\fR
Turn on debugging
.TP
.B \fB\-\-silent\fR
Use silent setup \- no user input
.TP
.B \fB\-\-file\fR=\fIname\fR
Use the file 'name' in .inf format to supply the default answers
.TP
.B \fB\-\-keepcache\fR
Do not delete the temporary .inf file generated by this program
.TP
.B \fB\-\-logfile\fR
Log setup messages to this file \- otherwise, a temp file will be used
.TP
.B \fB\-\-update\fR
Refresh the information used by the Console for all servers on this machine.  Use this after an upgrade to make sure the Console reports the correct information.
.PP
For all options, you can also use the short name e.g. \fB\-h\fR, \fB\-d\fR, etc.  For the \fB\-d\fR argument,
specifying it more than once will increase the debug level e.g. \fB\-ddddd\fR
.PP
args:
You can supply default .inf data in this format:
.IP
section.param=value
.PP
e.g.
.IP
General.FullMachineName=foo.example.com
.PP
or
.IP
"slapd.Suffix=dc=example, dc=com"
.PP
Values passed in this manner will override values in an .inf file given with the \fB\-f\fR argument.
.br
.SH AUTHOR
setup-ds-admin.pl was written by the 389 Project.
.SH "REPORTING BUGS"
Report bugs to http://bugzilla.redhat.com.
.SH COPYRIGHT
Copyright \(co 2008 Red Hat, Inc.
.br
This manual page was written by Michele Baldessari <michele@pupazzo.org>,
for the Debian project (but may be used by others).
.br
This is free software.  You may redistribute copies of it under the terms of
the Directory Server license found in the LICENSE file of this
software distribution.  This license is essentially the GNU General Public
License version 2 with an exception for plug-in distribution.
